Subject: my local make target

---

 makefiles/Makefile.bertw |   66 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

diff --quilt /dev/null new/makefiles/Makefile.bertw
--- /dev/null
+++ new/makefiles/Makefile.bertw
@@ -0,0 +1,66 @@
+# $Id: Makefile.linux,v 1.11 2003/05/20 00:27:56 n8gray Exp $
+CC=gcc
+AR=ar
+
+# For editres, add -DEDITRES to CFLAGS and -lXmu to LIBS
+# If using a Motif 2.1 compatible library (LessTif, OM) add
+# a '-lXp' in front of the -lXext in LIBS. You also drop the
+# -lXpm from that list.
+# Ensure that the Motif/LessTif headers and libs are found!
+# e.g. you may have to add something like
+#   -I/usr/lesstif/include  to CFLAGS and
+#   -L/usr/lesstif/lib      to LIBS
+#
+# To evaluate an alternative layout for the Replace/Find dialog, add
+# -DREPLACE_SCOPE to the CFLAGS. See the README file for more information.
+#
+# To test if the Motif library exports the runtime version
+# add -DHAVE__XMVERSIONSTRING to CFLAGS
+#
+
+CFLAGS = -g
+ifdef DEBUG
+  CFLAGS += -O0 -DDEBUG
+  ifdef DEBUG_MACRO
+    ifndef DEBUG_NO_STACKDUMP
+      CFLAGS += -DDEBUG_STACK
+    endif
+    ifndef DEBUG_NO_DISASM
+      CFLAGS += -DDEBUG_ASSEMBLY
+    endif
+    ifndef DEBUG_NO_YACC
+      CFLAGS += -DYYDEBUG=1
+    endif
+  endif
+else
+  CFLAGS += -O3
+endif
+
+CFLAGS += -W -Wall -Wno-unused -Wno-sign-compare -Wno-strict-aliasing
+CFLAGS += -DUSE_DIRENT -DUSE_LPR_PRINT_CMD -DEDITRES
+
+ifdef WERROR
+  CFLAGS += -Werror
+endif
+
+ARFLAGS=-urs
+
+LIBS += -lXm -lXmu -lXp -lXext -lXt -lSM -lICE -lX11 -lm
+
+ifdef OM231
+OM23=1
+endif
+
+ifdef OM232
+OM23=2
+endif
+
+ifdef OM23
+  CFLAGS += -I/home/$(USER)/opt/openmotif-2.3.$(OM23)/include
+  LIBS += -Wl,-R,/home/$(USER)/opt/openmotif-2.3.$(OM23)/lib
+  LIBS += -L/home/$(USER)/opt/openmotif-2.3.$(OM23)/lib
+endif
+
+include Makefile.common
+
+verify_config: check_tif_rule
